## BtSettingsPagePlaybackController BtSettingsPagePlaybackController — playback controller configuration settings page |

## Functions

BtSettingsPagePlaybackController * | bt_settings_page_playback_controller_new ()

## Types and Values

struct | BtSettingsPagePlaybackController

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── BtSettingsPagePlaybackController

## Implemented Interfaces

BtSettingsPagePlaybackController implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include "bt-edit.h"

## Description

Lists available playback controllers and allows to configure them. Each controller type can support a master and a slave mode. Master mode means that changes in the playback state in buzztrax, will relect on the playback state of clients to that protocol. Slave mode will cause buzztrax to sync to the external playback state.

## Functions

### bt_settings_page_playback_controller_new ()

    BtSettingsPagePlaybackController *
    bt_settings_page_playback_controller_new
                                   (GtkWidget *pages);

Create a new instance

#### Parameters

pages | the page collection |

#### Returns

the new instance

## Types and Values

### struct BtSettingsPagePlaybackController

    struct BtSettingsPagePlaybackController;

the root window for the editor application